Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.dynamiccontent
Interface DynamicContentServer

public abstract interface DynamicContentServer

DynamicContentServer can provide dynamic content to an application.

Field Summary
`static java.lang.String` | `SEVENAMNEWSAPPLET`
`static java.lang.String` | `SEVENAMNEWSPARAMETERS`
`static java.lang.String` | `TARGETNAME` set to when user changes room or goes to a different person

Method Summary
`javax.swing.JComponent` | `createComponent()` give us some content!
`java.lang.Object` | `getProperty(java.lang.String name)` return the property to the host.
`void` | `setDynamicContentHost(DynamicContentHost host)` set the host for this server
`void` | `setProperty(java.lang.String s, java.lang.Object v)` the host is trying to tell us something...
`void` | `stop()` clean up, go home

Field Detail

### TARGETNAME

    public static final java.lang.String TARGETNAME

  set to when user changes room or goes to a different person

### SEVENAMNEWSAPPLET

    public static final java.lang.String SEVENAMNEWSAPPLET

### SEVENAMNEWSPARAMETERS

    public static final java.lang.String SEVENAMNEWSPARAMETERS

Method Detail

### setDynamicContentHost

    public void setDynamicContentHost(DynamicContentHost host)

  set the host for this server

### createComponent

    public javax.swing.JComponent createComponent()

  give us some content!

### setProperty

    public void setProperty(java.lang.String s,
                            java.lang.Object v)

  the host is trying to tell us something...

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  return the property to the host.

### stop

    public void stop()

  clean up, go home

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD